<!DOCTYPE html>
<html>
<head>
    <title>Guessing Game Result</title>
</head>
<body>
    <h2>{{ message }}</h2>
    <p>Number of guesses: {{ counter }}</p>
    <a href="/">Play again</a>
</body>
</html>
